Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.cci
Interface ResultSetInfo

public interface ResultSetInfo

The interface `javax.resource.cci.ResultSetInfo` provides information on the support provided for ResultSet by a connected EIS instance. A component calls the method `Connection.getResultInfo` to get the ResultSetInfo instance.

A CCI implementation is not required to support `javax.resource.cci.ResultSetInfo` interface. The implementation of this interface is provided only if the CCI supports the ResultSet facility.

Version:
  0.9
Author:
  Rahul Sharma
See Also:
  `Connection`, `ResultSet`, `ConnectionMetaData`

Method Summary
`boolean` | `deletesAreDetected(int type)`
`boolean` | `insertsAreDetected(int type)` Indicates whether or not a visible row insert can be detected by calling ResultSet.rowInserted.
`boolean` | `othersDeletesAreVisible(int type)` Indicates whether deletes made by others are visible.
`boolean` | `othersInsertsAreVisible(int type)` Indicates whether inserts made by others are visible.
`boolean` | `othersUpdatesAreVisible(int type)` Indicates whether updates made by others are visible.
`boolean` | `ownDeletesAreVisible(int type)`
`boolean` | `ownInsertsAreVisible(int type)`
`boolean` | `ownUpdatesAreVisible(int type)`
`boolean` | `supportsResultSetType(int type)` Indicates whether or not a resource adapter supports a type of ResultSet.
`boolean` | `supportsResultTypeConcurrency(int type, int concurrency)` Indicates whether or not a resource adapter supports the concurrency type in combination with the given ResultSet type/
`boolean` | `updatesAreDetected(int type)` Indicates whether or not a visible row update can be detected by calling the method `ResultSet.rowUpdated`.

Method Detail

### updatesAreDetected

    public boolean updatesAreDetected(int type)
                               throws ResourceException

  Indicates whether or not a visible row update can be detected by calling the method `ResultSet.rowUpdated`.

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
  Returns:
    true if changes are detected by the result set type; false otherwise
  Throws:
    `ResourceException` - Failed to get the information
  See Also:
    `ResultSet.rowUpdated()`

### insertsAreDetected

    public boolean insertsAreDetected(int type)
                               throws ResourceException

  Indicates whether or not a visible row insert can be detected by calling ResultSet.rowInserted.

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
  Returns:
    true if changes are detected by the result set type; false otherwise
  Throws:
    `ResourceException` - Failed to get the information
  See Also:
    `ResultSet.rowInserted()`

### deletesAreDetected

    public boolean deletesAreDetected(int type)
                               throws ResourceException

  Throws:
    `ResourceException`

### supportsResultSetType

    public boolean supportsResultSetType(int type)
                                  throws ResourceException

  Indicates whether or not a resource adapter supports a type of ResultSet.

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
  Returns:
    true if ResultSet type supported; false otherwise
  Throws:
    `ResourceException` - Failed to get the information

### supportsResultTypeConcurrency

    public boolean supportsResultTypeConcurrency(int type,
                                                 int concurrency)
                                          throws ResourceException

  Indicates whether or not a resource adapter supports the concurrency type in combination with the given ResultSet type/

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
    `concurrency` - ResultSet concurrency type defined in java.sql.ResultSet
  Returns:
    true if the specified combination supported; false otherwise
  Throws:
    `ResourceException` - Failed to get the information

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int type)
                                    throws ResourceException

  Indicates whether updates made by others are visible.

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
  Returns:
    true if updates by others are visible for the ResultSet type; false otherwise
  Throws:
    `ResourceException` - Failed to get the information

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int type)
                                    throws ResourceException

  Indicates whether deletes made by others are visible.

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
  Returns:
    true if deletes by others are visible for the ResultSet type; false otherwise
  Throws:
    `ResourceException` - Failed to get the information

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int type)
                                    throws ResourceException

  Indicates whether inserts made by others are visible.

  Parameters:
    `type` - type of the ResultSet i.e. ResultSet.TYPE_XXX
  Returns:
    true if inserts by others are visible for the ResultSet type; false otherwise
  Throws:
    `ResourceException` - Failed to get the information

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int type)
                                 throws ResourceException

  Throws:
    `ResourceException`

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int type)
                                 throws ResourceException

  Throws:
    `ResourceException`

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int type)
                                 throws ResourceException

  Throws:
    `ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.